PROGRAM TSTGTIM;

{This program will test the GTIM P3UTIL routine.}

%include pas$ext:general.typ;
%include pas$ext:gtim.ext;

Var
  Now: Int_timestamp;
  i: integer;

Begin
Writeln ('Call the GTIM routine 1000 times...');
writeln;
writeln('Yr Mo Dy Hr Mn Sc Tk Tk/sec');
for i:= 1 to 1000 do
  begin
  gtim(now);
  if $dsw <> 1 
    then writeln('Directive error = ',$dsw:1);
  writeln(now.date.year:2,' ',
          now.date.month:2,' ',
          now.date.day:2,' ',
          now.time.hour:2,' ',
          now.time.minute:2,' ',
          now.time.second:2,' ',
          now.tick:2,' ',
          now.tick_per_sec:2,chr(27),'[A');
  end;
Writeln;
Writeln ('End of test');
Writeln;
End.
